---
sourceDocument: Xanadu API Reference
sourceDocumentLink: https://servicenow-prod.fluidtopics.net/r/xanadu/api-reference

 Release :

    - xanadu

ft:locale :

    - en-US

ft:publication_title :

    - Xanadu API Reference

ft:clusterId :

    - crapiref

bundleId :

    - crapiref

workflow :

    - Creator


---

# Product Order Open API

# Product Order Open API {#ariaid-title1}

* Release version: Xanadu
* 
* Updated August 1, 2024
* 
* ![](https://www.servicenow.com/docs/portal-asset/ico-clock) 142 minutes to read

The Product Order Open API provides endpoints that enable a standardized mechanism for placing product orders.
A product order is created based on a product offering that is defined and published in a
product catalog. The product offering identifies the product or set of products that are
available to a customer and includes the relevant product characteristics that capture the
unique options of a product, and other relevant attributes such as pricing, contract terms, and
availability.

To access this API, the Order Management for Telecommunications (sn_ind_tmt_orm) plugin must
be activated.

This API is provided within the `sn_ind_tmt_orm` namespace.

The calling user must have the sn_ind_tmt_orm.order_integrator role.

This API can be extended to make customizations around required parameters, request body validation, additional REST operations, and field mappings. For more information, see the [Product Order Open API Developer
Guide](https://servicenow-prod.fluidtopics.net/koK87WuCqxW0JJgipaftOQ#product-order_dev-guide "Use the Product Order Open API to create, update, and retrieve product order information.").

The Product Order Open API is a ServiceNow®
implementation of TM Forum TMF622 Product Ordering Management API REST Specification and is
conformance certified by TM Forum.

## Product Order Open API - GET /sn_ind_tmt_orm/order/productOrder {#ariaid-title2}

Retrieves all product orders.
This endpoint retrieves order information from the following tables:

* Customer Order \[sn_ind_tmt_orm_order\]
* Order Line Item \[sn_ind_tmt_orm_order_line_item\]
* Order Characteristic \[sn_ind_tmt_orm_order_characteristic_value\]
* Order Line Item Contact \[sn_ind_tmt_orm_order_line_item_contact\]
* Order Line Related Items \[sn_ind_tmt_orm_order_line_related_items\]
{#tmf_prod_order-GET-ord-productOrder__ul_lxc_kxm_t4b}

### URL format {#tmf_prod_order-GET-ord-productOrder__section_mbm_2ct_t4b}

Default URL:
/api/sn_ind_tmt_orm/order/productOrder

### Supported request parameters

{#tmf_prod_order-GET-ord-productOrder__table_ofr_vgy_fsb__entry__2}

| Name | Description |
|-|-|
| None |   |
[Table 1. Path parameters]

{#tmf_prod_order-GET-ord-productOrder__table_ofr_vgy_fsb} {#tmf_prod_order-GET-ord-productOrder__table_pfr_vgy_fsb__entry__2}

| Name | Description |
|-|-|
| fields | List of fields to return in the response. Invalid fields are ignored. If this parameter is not used, all fields are returned. Data type: String |
| limit | Maximum number of records to return. For requests that exceed this number of records, use the offset parameter to paginate record retrieval. Default: 20 Maximum: 100 Data type: Number |
| offset | Starting index at which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. Default: 0 Data type: Number |
| state | Filter orders by state. Only orders with a state matching the value of this parameter are returned in the response. Data type: String |
[Table 2. Query parameters]

{#tmf_prod_order-GET-ord-productOrder__table_pfr_vgy_fsb} {#tmf_prod_order-GET-ord-productOrder__table_xcm_cvr_nsb__entry__2}

| Name | Description |
|-|-|
| None |   |
[Table 3. Request body parameters (JSON)]

{#tmf_prod_order-GET-ord-productOrder__table_xcm_cvr_nsb}

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#tmf_prod_order-GET-ord-productOrder__table_kqy_wgy_fsb__entry__2}

| Header | Description |
|-|-|
| None |   |
[Table 4. Request headers]

{#tmf_prod_order-GET-ord-productOrder__table_kqy_wgy_fsb} {#tmf_prod_order-GET-ord-productOrder__table_h4r_fxr_nsb__entry__2}{#tmf_prod_order-GET-ord-productOrder__content-range-row}{#tmf_prod_order-GET-ord-productOrder__content-type-row}{#tmf_prod_order-GET-ord-productOrder__links-pagination-row}{#tmf_prod_order-GET-ord-productOrder__x-total-count-descr}

| Header | Description |
|-|-|
| Content-Range | Specifies the range of content returned in a paginated call. For example, if `offset=2` and `limit=3`, the value of the Content-Range header is `items 3-5`. |
| Content-Type | Data format of the response body. Only supports application/json. |
| Link | Contains the following links to navigate through query results. * first * last * next * previous {#tmf_prod_order-GET-ord-productOrder__ul_zzk_sdm_lsb} |
| X-Total-Count | For paginated queries, this header specifies the total number of records available on the server. |
[Table 5. Response headers]

{#tmf_prod_order-GET-ord-productOrder__table_h4r_fxr_nsb}

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#tmf_prod_order-GET-ord-productOrder__table_wdl_3xr_nsb__entry__2}{#tmf_prod_order-GET-ord-productOrder__tmf-get-status-200-p}{#tmf_prod_order-GET-ord-productOrder__tmf-get-status-206-entry}{#tmf_prod_order-GET-ord-productOrder__tmf-get-status-400-entry}{#tmf_prod_order-GET-ord-productOrder__tmf-get-status-404-entry}

| Status code | Description |
|-|-|
| 200 | Request successfully processed. Full resource returned in response (no pagination). |
| 206 | Partial resource returned in response (with pagination). |
| 400 | Bad request. Possible reasons: * Invalid path parameter * Invalid URI {#tmf_prod_order-GET-ord-productOrder__ul_rys_1gy_fsb} |
| 404 | Record not found. No records matching the query parameters are found in the table. |
[Table 6. Status codes]

{#tmf_prod_order-GET-ord-productOrder__table_wdl_3xr_nsb}

### Response body parameters (JSON) {#tmf_prod_order-GET-ord-productOrder__section_hnf_kxr_nsb}

{#tmf_prod_order-GET-ord-productOrder__table_inf_kxr_nsb__entry__2}{#tmf_prod_order-GET-ord-productOrder__externalProdInv-resp-descr}{#tmf_prod_order-GET-ord-productOrder__externalProdInvId-resp-descr}

| Name | Description |
|-|-|
| channel | Array of objects that describe the channels to use for selling the products. Data type: Array "channel": [ { "id": "String", "name": "String" } ] |
| channel.id | Unique identifier of the channel to use to sell the associated products. Channel ID values are located in the external_id field of the Distribution Channel \[sn_prd_pm_distribution_channel\] table. Data type: String |
| channel.name | Name of the channel to use to sell the associated products. Data type: String |
| committedDueDate | Date and time when the action must be performed on the order. This value must be the same as or later than the committedDueDate values for each order line item. Data type: String |
| expectedCompletionDate | Date on which the order will be completed. Data type: String |
| href | Relative link to the product order record. Data type: String |
| id | Sys_id of the product order. Data type: String |
| note | Array of objects that describe additional notes made by the customer when ordering. Data type: Array "note": [ { "author": "String", "date": "String", "text": "String" } ] |
| note.author | User name of the person that authored the associated note. Data type: String |
| note.date | Date that the note was created. Data type: String |
| note.text | Additional notes/comments made by the customer while ordering. Data type: String |
| orderCurrency | Currency code for the order and order line items. Data type: String |
| ponr | Flag that indicates whether the point of no return for the order has been reached. Valid values: * true: The point of no return for the order has been reached. * false: The point of no return for the order has not been reached. {#tmf_prod_order-GET-ord-productOrder__ul_tdq_rw1_hqb} Data type: Boolean |
| productOrderItem | List that describes items associated with the product order and their associated action. Data type: Array "productOrderItem:" [ { "action": "String", "committedDueDate": "String", "externalProductInventory": [Array], "id": "String", "itemPrice": [Array], "product": {Object}, "productOffering": {Object}, "productOrderItemReleationship": [Array], "quantity": Number, "state": "String", "@type": "String" } ] |
| productOrderItem.action | Action to carry out on the product. Possible actions are defined on the Choice List tab in the Action Dictionary Entry of the sn_ind_tmt_orm_order_line_item table. Data type: String |
| productOrderItem.actionReason | The reason for adding the order line item. Data type: String Table/field updated: sn_ind_tmt_orm_order_line_item/action_reason |
| productOrderItem.committedDueDate | Date and time when the action must be performed on the order line item. Data type: String |
| productOrderItem.externalProductInventory | Array of objects containing external ids mapped to the product inventories created for the order. Data type: Array "externalProductInventory": [ { "externalProductInventoryId": "String" } ] |
| productOrderItem.externalProductInventory.externalProductInventoryId | External id mapped to the product inventory. Data type: String |
| productOrderItem.id | Unique identifier of the line item. Located in the sn_ind_tmt_orm_external_id field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. Data type: String |
| productOrderItem.itemPrice | Array of objects that describe the price associated with the product. Data type: Array "itemPrice": [ { "price": {Object}, "priceType": "String", "recurringChargePeriod": "String" } ] |
| productOrderItem.itemPrice.price | Description of the price of the associated product. Data type: Object "price": { "taxIncludedAmount": {Object} } |
| productOrderItem.itemPrice.price.taxIncludedAmount | Description of the price of the associated product, including the tax. Data type: Object "taxIncludedAmount": { "unit": "String", "value": Number } |
| productOrderItem.itemPrice.price.taxIncludedAmount.unit | Currency code in which the price is depicted. Data type: String |
| productOrderItem.itemPrice.price.taxIncludedAmount.value | Price of product, including any tax. Data type: Number |
| productOrderItem.itemPrice.priceType | Type of item price, recurring or non-recurring. Data type: String |
| productOrderItem.itemPrice.recurringChargePeriod | If the price is recurring, the recurring period, such as month. Data type: String |
| productOrderItem.ponr | Flag that indicates whether the point of no return for the order has been reached. Valid values: * true: The point of no return for the order has been reached. * false: The point of no return for the order has not been reached. {#tmf_prod_order-GET-ord-productOrder__d3046e2596} Data type: Boolean |
| productOrderItem.product | Description of the instance details of the product purchased by the customer. Data type: Object "product:" { "place": {Object}, "productCharacteristic": [Array], "productRelationship": [Array], "productSpecification": {Object}, "relatedParty": {Object}, "@type": "String" } |
| productOrderItem.product.place | Maps of the locations on which to install the product. Data type: Object "place": { "id": "String", "@type": "String" } |
| productOrderItem.product.place.id | Sys_id of the associated location record in the Location \[cmn_location\] table. Data type: String |
| productOrderItem.product.place.@type | Part of TMF Open API standard. Annotation for order line item contact. This value is always <kbd class="ph userinput">Place</kbd>. This information is not stored. Data type: String |
| productOrderItem.product.productCharacteristic | Array of objects that describe the characteristics of the associated product. Only product characteristics whose value are different than the previousValue are returned. Data type: Array "productCharacteristic": [ { "name": "String", "previousValue": "String", "value": "String" } ] |
| productOrderItem.product.productCharacteristic.name | Name of the characteristic record to associate with the product. Located in the Characteristic \[sn_prd_pm_characteristic\] table. Data type: String |
| productOrderItem.product.productCharacteristic.previousValue | Previous characteristic option values if the update is for a change order. The request is a change order if the productOrderItem.action parameter is other than <kbd class="ph userinput">add</kbd>. For additional information on characteristic option values, see [Create product characteristics and characteristic options](https://www.servicenow.com/docs/access?context=som-product-config-add-characteristics&version=xanadu&pubname=xanadu-order-management&ft:locale=en-US). Data type: String |
| productOrderItem.product.productCharacteristic.value | Characteristic option values associated with the product. For additional information on characteristic option values, see [Create product characteristics and characteristic options](https://www.servicenow.com/docs/access?context=som-product-config-add-characteristics&version=xanadu&pubname=xanadu-order-management&ft:locale=en-US). Data type: String |
| productOrderItem.product.productRelationship | List of product relationship details for an order line item. Data type: Array "productRelationship": [ { "id": "String", "relationshipType": "String" } ] |
| productOrderItem.product.productRelationship.id | Sys_id or sn_prd_invt_external_id of the product inventory. Located in the sys_id or sn_prd_invt_external_id field of the Product Inventory \[sn_prd_invt_product_inventory\] table. Data type: String |
| productOrderItem.product.productRelationship.relationshipType | Type of relationship between the order line item and the product inventory. Possible value: Requires Data type: String |
| productOrderItem.product.productSpecification | Description of the product specification associated with the product. Data type: Object "productSpecification:" { "id": "String", "internalId": "String", "internalVersion": "String", "name": "String", "version": "String", "@type": "String" } |
| productOrderItem.product.productSpecification.id | Initial_version or external_id of the product specification. The initial_version is the sys_id of the first version of the specification. Located in the sys_id or external_id field of the Product Specification \[sn_prd_pm_product_specification\] table. Data type: String |
| productOrderItem.product.productSpecification.internalId | Initial_version of the product specification. The initial_version is the sys_id of the first version of the specification. Located in the Product Specification \[sn_prd_pm_product_specification\] table. Data type: String |
| productOrderItem.product.productSpecification.internalVersion | Version of the product specification. Located in the Product Specification \[sn_prd_pm_product_specification\] table. Data type: String |
| productOrderItem.product.productSpecification.name | Name of the product specification. Located in the Product Specification \[sn_prd_pm_product_specification\] table. Data type: String |
| productOrderItem.product.productSpecification.version | External_version of the product specification. Located in the Product Specification \[sn_prd_pm_product_specification\] table. Data type: String |
| productOrderItem.product.productSpecification.@type | Part of the TMF Open API standard. This value is always <kbd class="ph userinput">ProductSpecificationRef</kbd>. This information is not stored. Data type: String |
| productOrderItem.product.relatedParty | List of contacts for line items. Data type: Array "relatedParty:" [ { "email": "String", "firstName": "String", "id": "String", "lastName": "String", "phone": "String", "@referredType": "String", "@type": "String" } ] |
| productOrderItem.product.relatedParty.email | Email address of the contact. Data type: String |
| productOrderItem.product.relatedParty.firstName | First name of the contact. Data type: String |
| productOrderItem.product.relatedParty.id | Sys_id of the line item contact associated with the order line item. Located in the Order Line Item Contact \[sn_ind_tmt_orm_order_line_item_contact\] table. Data type: String |
| productOrderItem.product.relatedParty.lastName | Last name of the contact. Data type: String Data type: String |
| productOrderItem.product.relatedParty.phone | Business phone number of the contact. Data type: String |
| productOrderItem.product.relatedParty.@referredType | Type of customer. Possible value: OrderLineItemContact Data type: String |
| productOrderItem.product.relatedParty.@type | Part of TMF Open API standard. Annotation for order line item contact. This value is always <kbd class="ph userinput">RelatedParty</kbd>. This information is not stored. Data type: String |
| productOrderItem.productOffering | Description of the product offering associated with the product. Data type: Object "productOffering:" { "id": "String", "internalId": "String", "internalVersion": "String", "name": "String", "version": "String" } |
| productOrderItem.productOffering.id | Initial_version or external_id of the product offering. The initial_version is the sys_id of the first version of the offering. Located in the sys_id or external_id field of the Product Offering \[sn_prd_pm_product_offering\] table. Data type: String |
| productOrderItem.productOffering.internalId | Initial_version of the product offering. The initial_version is the sys_id of the first version of the offering. Located in the Product Offering \[sn_prd_pm_product_offering\] table. Data type: String |
| productOrderItem.productOffering.internalVersion | Version of the product offering. Located in the Product Offering \[sn_prd_pm_product_offering\] table. Data type: String |
| productOrderItem.productOffering.name | Name of the product offering. Located in the Product Offering \[sn_prd_pm_product_offering\] table. Data type: String |
| productOrderItem.productOffering.version | External_version of the product offering. Located in the Product Offering \[sn_prd_pm_product_offering\] table. Data type: String |
| productOrderItem.quantity | Number of product items purchased. Data type: Number |
| productOrderItem.productOrderItemRelationship | Array of objects that describe the relationships between order line items. Data type: Array "productOrderItemRelationship": [ { "id": "String", "relationshipType": "String" } ] |
| productOrderItem.productOrderItemRelationship.id | Unique identifier of the related line item. Located in the sn_ind_tmt_orm_external_id field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. Data type: String |
| productOrderItem.productOrderItemRelationship.relationshipType | Type of relationship between the two line items. This information is used to identify the relationship hierarchy. Possible values: * HasChild * HasParent * Requires {#tmf_prod_order-GET-ord-productOrder__ul_yqf_2ty_54b} `HasChild` and `HasParent` are used for parent/child relationships. `Requires` is used for horizontal relationships (a line item requires another line item). Data type: String |
| productOrderItem.state | State of the order of the associated product item. Data type: String |
| productOrderItem.version | Order version. Data type: String |
| productOrderItem.@type | Part of TMF Open API standard. Annotation for the product. This value is always <kbd class="ph userinput">ProductOrderItem</kbd>. This information is not stored. Data type: String |
| relatedParty | List of contacts for the order. Each contact is an object in the array. Must list at least one item which contains customer account or consumer account information. Data type: Array "relatedParty:" [ { "id": "String", "name": "String", "@referredType": "String", "@type": "String" } ] |
| relatedParty.id | Sys_id or external_id of the account, customer contact, or consumer associated with the order. Located in the Account \[customer_account\], Contact \[customer_contact\] table, or Consumer \[csm_consumer\] table. Data type: String |
| relatedParty.name | Name of the account, customer, or consumer. Data type: String |
| relatedParty.@referredType | Type of customer. Possible values: * Consumer * Customer * CustomerContact {#tmf_prod_order-GET-ord-productOrder__ul_lcq_jwm_t4b} Data type: String |
| relatedParty.@type | Part of TMF Open API standard. Annotation for the product. This value is always <kbd class="ph userinput">RelatedParty</kbd>. This information is not stored. Data type: String |
| requestedCompletionDate | Delivery date requested by the customer. Data type: String |
| requestedStartDate | Order start date requested by the customer. Data type: String |
| state | Current state of the order. Data type: String |
| version | Order version. Data type: String |
| @type | Part of TMF Open API standard. Annotation for the product. This value is always <kbd class="ph userinput">ProductOrder</kbd>. This information is not stored. Data type: String |
[ ]

{#tmf_prod_order-GET-ord-productOrder__table_inf_kxr_nsb}  

### cURL request

This example retrieves all product orders.

    curl --location --request GET 'https://instance.service-now.com/api/sn_ind_tmt_orm/order/productOrder' \
    --user 'username':'password'

Response body.

    [
       {
          "id": "8d75939453126010a795ddeeff7b126a",
          "href": "/api/sn_ind_tmt_orm/order/productOrder/8d75939453126010a795ddeeff7b126a",
          "ponr": "false",
          "orderCurrency": "USD",
          "expectedCompletionDate": "2021-05-02T08:13:59.000Z",
          "requestedCompletionDate": "2021-05-02T08:13:59.000Z",
          "requestedStartDate": "2020-05-03T08:13:59.000Z",
          "channel": [
             {
                "id": "1",
                "name": "Agent Assist"
             }
          ],
          "note": [
             {
                "author": "System Administrator",
                "date": "2021-02-25T14:22:07.000Z",
                "text": "This is a TMF product order illustration no 2"
             },
             {
                "author": "System Administrator",
                "date": "2021-02-25T14:22:06.000Z",
                "text": "This is a TMF product order illustration"
             }
          ],
          "productOrderItem": [
             {
                "id": "POI130",
                "ponr": "false",
                "quantity": 1,
                "action": "add",
                "actionReason": "adding service package OLI",
                "itemPrice": [
                   {
                      "priceType": "recurring",
                      "price": {
                         "taxIncludedAmount": {
                            "unit": "USD",
                            "value": 20
                         }
                      }
                   },
                   {
                      "priceType": "nonRecurring",
                      "price": {
                         "taxIncludedAmount": {
                            "unit": "INR",
                            "value": 0
                         }
                      }
                   }
                ],
                "product": {
                   "@type": "Product",
                   "productCharacteristic": [
                      {
                         "name": "Security Type",
                         "valueType": "Choice",
                         "value": "Base",
                         "previousValue": ""
                      }
                   ],
                   "productSpecification": {
                      "id": "a6514bd3534560102f18ddeeff7b1247",
                      "name": "SD-WAN Security",
                      "version": "v1",
                      "internalVersion": "1",
                      "internalId": "a6514bd3534560102f18ddeeff7b1247",
                      "@type": "ProductSpecificationRef"
                   },
                   "relatedParty": [
                      {
                         "id": "4175939453126010a795ddeeff7b127d",
                         "name": "John Smith",
                         "email": "abc2@example.com",
                         "phone": "32456768",
                         "@type": "RelatedParty",
                         "@referredType": "OrderLineItemContact"
                      },
                      {
                         "id": "c175939453126010a795ddeeff7b127c",
                         "name": "Joe Doe",
                         "email": "abc@example.com",
                         "phone": "1234567890",
                         "@type": "RelatedParty",
                         "@referredType": "OrderLineItemContact"
                      }
                   ]
                },
                "productOffering": {
                   "id": "69017a0f536520103b6bddeeff7b127d",
                   "name": "Premium SD-WAN Offering",
                   "version": "v1",
                   "internalId": "69017a0f536520103b6bddeeff7b127d",
                   "internalVersion": "1"
                },
                "productOrderItemRelationship": [
                   {
                      "id": "POI100",
                      "relationshipType": "HasParent"
                   }
                ],
                "state": "in_progress",
                "version": "1",
                "@type": "ProductOrderItem"
             },
             {
                "id": "POI100",
                "ponr": "false",
                "quantity": 1,
                "action": "add",
                "itemPrice": [
                   {
                      "priceType": "recurring",
                      "price": {
                         "taxIncludedAmount": {
                            "unit": "INR",
                            "value": 0
                         }
                      }
                   },
                   {
                      "priceType": "nonRecurring",
                      "price": {
                         "taxIncludedAmount": {
                            "unit": "INR",
                            "value": 0
                         }
                      }
                   }
                ],
                "product": {
                   "@type": "Product",
                   "productSpecification": {
                      "id": "cfe5ef6a53702010cd6dddeeff7b12f6",
                      "name": "SD-WAN Service Package",
                      "version": "v1",
                      "internalVersion": "1",
                      "internalId": "cfe5ef6a53702010cd6dddeeff7b12f6",
                      "@type": "ProductSpecificationRef"
                   }
                },
                "productOffering": {
                   "id": "69017a0f536520103b6bddeeff7b127d",
                   "name": "Premium SD-WAN Offering",
                   "version": "v1",
                   "internalId": "69017a0f536520103b6bddeeff7b127d",
                   "internalVersion": "1"
                },
                "productOrderItemRelationship": [
                   {
                      "id": "POI130",
                      "relationshipType": "HasChild"
                   },
                   {
                      "id": "POI120",
                      "relationshipType": "HasChild"
                   },
                   {
                      "id": "POI110",
                      "relationshipType": "HasChild"
                   }
                ],
                "state": "in_progress",
                "version": "1",
                "@type": "ProductOrderItem"
             },
             {
                "id": "POI120",
                "ponr": "false",
                "quantity": 1,
                "action": "add",
                "itemPrice": [
                   {
                      "priceType": "recurring",
                      "price": {
                         "taxIncludedAmount": {
                            "unit": "USD",
                            "value": 20
                         }
                      }
                   },
                   {
                      "priceType": "nonRecurring",
                      "price": {
                         "taxIncludedAmount": {
                            "unit": "INR",
                            "value": 0
                         }
                      }
                   }
                ],
                "product": {
                   "@type": "Product",
                   "productCharacteristic": [
                      {
                         "name": "CPE Type",
                         "valueType": "Choice",
                         "value": "Physical",
                         "previousValue": ""
                      },
                      {
                         "name": "WAN Optimization",
                         "valueType": "Choice",
                         "value": "Advance",
                         "previousValue": ""
                      },
                      {
                         "name": "Routing",
                         "valueType": "Choice",
                         "value": "Premium",
                         "previousValue": ""
                      },
                      {
                         "name": "CPE Model",
                         "valueType": "Choice",
                         "value": "ASR",
                         "previousValue": ""
                      }
                   ],
                   "productSpecification": {
                      "id": "39b627aa53702010cd6dddeeff7b1202",
                      "name": "SD-WAN Edge Device",
                      "version": "v1",
                      "internalVersion": "1",
                      "internalId": "39b627aa53702010cd6dddeeff7b1202",
                      "@type": "ProductSpecificationRef"
                   },
                   "productRelationship": [
                      {
                         "id": "326d13f45b5620102dff5e92dc81c785",
                         "relationshipType": "Requires"
                      }
                   ]
                },
                "productOffering": {
                   "id": "69017a0f536520103b6bddeeff7b127d",
                   "name": "Premium SD-WAN Offering",
                   "version": "v1",
                   "internalVersion": "1",
                   "internalId": "69017a0f536520103b6bddeeff7b127d"
                },
                "productOrderItemRelationship": [
                   {
                      "id": "POI100",
                      "relationshipType": "HasParent"
                   },
                   {
                      "id": "POI110",
                      "relationshipType": "Requires"
                   }       
                ],
                "state": "in_progress",
                "version": "1",
                "@type": "ProductOrderItem"
             },
             {
                "id": "POI110",
                "ponr": "false",
                "quantity": 1,
                "action": "add",
                "itemPrice": [
                   {
                      "priceType": "recurring",
                      "price": {
                         "taxIncludedAmount": {
                            "unit": "INR",
                            "value": 0
                         }
                      }
                   },
                   {
                      "priceType": "nonRecurring",
                      "price": {
                         "taxIncludedAmount": {
                            "unit": "USD",
                            "value": 5
                         }
                      }
                   }
                ],
                "product": {
                   "@type": "Product",
                   "productCharacteristic": [
                      {
                         "name": "Tenancy",
                         "valueType": "Choice",
                         "value": "Base (10 site)",
                         "previousValue": ""
                      }
                   ],
                   "productSpecification": {
                      "id": "216663aa53702010cd6dddeeff7b12b5",
                      "name": "SD-WAN Controller",
                      "version": "v1",
                      "internalVersion": "1",
                      "internalId": "216663aa53702010cd6dddeeff7b12b5",
                      "@type": "ProductSpecificationRef"
                   },
                   "place": {
                      "id": "25ab9c4d0a0a0bb300f7dabdc0ca7c1c",
                      "@type": "Place"
                   }
                },
                "productOffering": {
                   "id": "69017a0f536520103b6bddeeff7b127d",
                   "name": "Premium SD-WAN Offering",
                   "version": "v1",
                   "internalId": "69017a0f536520103b6bddeeff7b127d",
                   "internalVersion": "1"
                },
                "productOrderItemRelationship": [
                   {
                      "id": "POI100",
                      "relationshipType": "HasParent"
                   }
                ],
                "state": "in_progress",
                "version": "1",
                "@type": "ProductOrderItem"
             }
          ],
          "relatedParty": [
            {
                "id": "eaf68911c35420105252716b7d40ddde",
                "name": "Sally Thomas",
                "@type": "RelatedParty",
                "@referredType": "CustomerContact"
            },
            {
                "id": "ffc68911c35420105252716b7d40dd55",
                "name": "Funco Intl",
                "@type": "RelatedParty",
                "@referredType": "Customer"
            },
            {
                "id": "59f16de1c3b67110ff00ed23a140dd9e",
                "name": "Funco External",
                "@type": "RelatedParty",
                "@referredType": "Consumer"
            }
        ],
          "state": "in_progress",
          "version": "1",
          "@type": "ProductOrder"
       }
    ]

## Product Order Open API - GET /sn_ind_tmt_orm/order/productOrder/{id} {#ariaid-title3}

Retrieves the specified product order.
This endpoint retrieves order information from the following tables:

* Customer Order \[sn_ind_tmt_orm_order\]
* Order Characteristic \[sn_ind_tmt_orm_order_characteristic_value\]
* Order Line Item \[sn_ind_tmt_orm_order_line_item\]
* Order Line Item Contact \[sn_ind_tmt_orm_order_line_item_contact\]
* Order Line Related Items \[sn_ind_tmt_orm_order_line_related_items\]
{#tmf_prod_order-GET-ord-productOrder-id__ul_lxc_kxm_t4b}

### URL format {#tmf_prod_order-GET-ord-productOrder-id__section_mbm_2ct_t4b}

Default URL:
/api/sn_ind_tmt_orm/order/productOrder/{id}

### Supported request parameters

{#tmf_prod_order-GET-ord-productOrder-id__entry__2}

| Name | Description |
|-|-|
| id | Sys_id or external_id of the customer order to retrieve. Located in the Customer Order \[sn_ind_tmt_orm_order\] table. Data type: String |
[Table 7. Path parameters]

{#tmf_prod_order-GET-ord-productOrder-id__entry__6}

| Name | Description |
|-|-|
| None |   |
[Table 8. Query parameters]

{#tmf_prod_order-GET-ord-productOrder-id__entry__10}

| Name | Description |
|-|-|
| None |   |
[Table 9. Request body parameters (JSON)]

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#tmf_prod_order-GET-ord-productOrder-id__table_kqy_wgy_fsb__entry__2}

| Header | Description |
|-|-|
| None |   |
[Table 10. Request headers]

{#tmf_prod_order-GET-ord-productOrder-id__table_kqy_wgy_fsb} {#tmf_prod_order-GET-ord-productOrder-id__table_tzy_thy_ksb__entry__2}

| Header | Description |
|-|-|
| Content-Type | Data format of the response body. Only supports application/json. |
[Table 11. Response headers]

{#tmf_prod_order-GET-ord-productOrder-id__table_tzy_thy_ksb}

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#tmf_prod_order-GET-ord-productOrder-id__tmf-get-list-status-codes__entry__2}

| Status code | Description |
|-|-|
| 200 | Request successfully processed. Full resource returned in response (no pagination). The response returns successful with an error message if the selected order has processing issues. * A 200 OK response happens if the order is in the Inbound Queue \[sn_tmt_core_inbound_queue\] table waiting for the scheduler to pick the record to be processed. The error message field includes details for the record. For example: { "code": 102, "reason": "Request in queue", "message": "Request in queue", "details": [ { "message": "This Order is still in the inbound queue table waiting to be processed.", "datapath": "" } ] } * A 200 OK response happens if an order creation fails and the record in the Inbound Queue \[sn_tmt_core_inbound_queue\] table is in an error state. The error message field includes details in for the inbound queue table record. For example: { "code": 23, "reason": "Missing body field", "message": "Missing body field", "details": [ { "message": "Invalid payload: orderCurrency is missing", "datapath": "/" } ] } {#tmf_prod_order-GET-ord-productOrder-id__ul_kdw_y4w_fwb} |
| 206 | Partial resource returned in response (with pagination). |
| 400 | Bad request. Possible reasons: * Invalid path parameter * Invalid URI {#tmf_prod_order-GET-ord-productOrder-id__ul_rys_1gy_fsb} |
| 404 | Record not found. No records matching the query parameters are found in the table. |
[Table 12. Status codes]

{#tmf_prod_order-GET-ord-productOrder-id__tmf-get-list-status-codes}

### Response body parameters (JSON)

{#tmf_prod_order-GET-ord-productOrder-id__entry__32}{#tmf_prod_order-GET-ord-productOrder-id__externalProdInv-resp-descr}{#tmf_prod_order-GET-ord-productOrder-id__externalProdInvId-resp-descr}

| Name | Description |
|-|-|
| channel | Array of objects that describe the channels to use for selling the products. Data type: Array "channel": [ { "id": "String", "name": "String" } ] |
| channel.id | Unique identifier of the channel to use to sell the associated products. Channel ID values are located in the external_id field of the Distribution Channel \[sn_prd_pm_distribution_channel\] table. Data type: String |
| channel.name | Name of the channel to use to sell the associated products. Data type: String |
| committedDueDate | Date and time when the action must be performed on the order. This value must be the same as or later than the committedDueDate values for each order line item. Data type: String |
| expectedCompletionDate | Date on which the order will be completed. Data type: String |
| href | Relative link to the product order record. Data type: String |
| id | Sys_id of the product order. Data type: String |
| note | Array of objects that describe additional notes made by the customer when ordering. Data type: Array "note": [ { "author": "String", "date": "String", "text": "String" } ] |
| note.author | User name of the person that authored the associated note. Data type: String |
| note.date | Date that the note was created. Data type: String |
| note.text | Additional notes/comments made by the customer while ordering. Data type: String |
| orderCurrency | Currency code for the order and order line items. Data type: String |
| ponr | Flag that indicates whether the point of no return for the order has been reached. Valid values: * true: The point of no return for the order has been reached. * false: The point of no return for the order has not been reached. {#tmf_prod_order-GET-ord-productOrder-id__ul_tdq_rw1_hqb} Data type: Boolean |
| productOrderItem | List that describes items associated with the product order and their associated action. Data type: Array "productOrderItem:" [ { "action": "String", "actionReason": "String", "committedDueDate": "String", "externalProductInventory": [Array], "id": "String", "itemPrice": [Array], "product": {Object}, "productOffering": {Object}, "productOrderItemReleationship": [Array], "quantity": Number, "state": "String", "@type": "String" } ] |
| productOrderItem.action | Action to carry out on the product. Possible actions are defined on the Choice List tab in the Action Dictionary Entry of the sn_ind_tmt_orm_order_line_item table. Data type: String |
| productOrderItem.actionReason | The reason for adding the order line item. Data type: String Table/field updated: sn_ind_tmt_orm_order_line_item/action_reason |
| productOrderItem.committedDueDate | Date and time when the action must be performed on the order line item. Data type: String |
| productOrderItem.externalProductInventory | Array of objects containing external ids mapped to the product inventories created for the order. Data type: Array "externalProductInventory": [ { "externalProductInventoryId": "String" } ] |
| productOrderItem.externalProductInventory.externalProductInventoryId | External id mapped to the product inventory. Data type: String |
| productOrderItem.id | Unique identifier of the line item. Located in the sn_ind_tmt_orm_external_id field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. Data type: String |
| productOrderItem.itemPrice | Array of objects that describe the price associated with the product. Data type: Array "itemPrice": [ { "price": {Object}, "priceType": "String", "recurringChargePeriod": "String" } ] |
| productOrderItem.itemPrice.price | Description of the price of the associated product. Data type: Object "price": { "taxIncludedAmount": {Object} } |
| productOrderItem.itemPrice.price.taxIncludedAmount | Description of the price of the associated product, including the tax. Data type: Object "taxIncludedAmount": { "unit": "String", "value": Number } |
| productOrderItem.itemPrice.price.taxIncludedAmount.unit | Currency code in which the price is depicted. Data type: String |
| productOrderItem.itemPrice.price.taxIncludedAmount.value | Price of product, including any tax. Data type: Number |
| productOrderItem.itemPrice.priceType | Type of item price, recurring or non-recurring. Data type: String |
| productOrderItem.itemPrice.recurringChargePeriod | If the price is recurring, the recurring period, such as month. Data type: String |
| productOrderItem.ponr | Flag that indicates whether the point of no return for the order has been reached. Valid values: * true: The point of no return for the order has been reached. * false: The point of no return for the order has not been reached. {#tmf_prod_order-GET-ord-productOrder-id__d3046e2596} Data type: Boolean |
| productOrderItem.product | Description of the instance details of the product purchased by the customer. Data type: Object "product:" { "place": {Object}, "productCharacteristic": [Array], "productRelationship": [Array], "productSpecification": {Object}, "relatedParty": {Object}, "@type": "String" } |
| productOrderItem.product.place | Maps of the locations on which to install the product. Data type: Object "place": { "id": "String", "@type": "String" } |
| productOrderItem.product.place.id | Sys_id of the associated location record in the Location \[cmn_location\] table. Data type: String |
| productOrderItem.product.place.@type | Part of TMF Open API standard. Annotation for order line item contact. This value is always <kbd class="ph userinput">Place</kbd>. This information is not stored. Data type: String |
| productOrderItem.product.productCharacteristic | Array of objects that describe the characteristics of the associated product. Only product characteristics whose value are different than the previousValue are returned. Data type: Array "productCharacteristic": [ { "name": "String", "previousValue": "String", "value": "String" } ] |
| productOrderItem.product.productCharacteristic.name | Name of the characteristic record to associate with the product. Located in the Characteristic \[sn_prd_pm_characteristic\] table. Data type: String |
| productOrderItem.product.productCharacteristic.previousValue | Previous characteristic option values if the update is for a change order. The request is a change order if the productOrderItem.action parameter is other than <kbd class="ph userinput">add</kbd>. For additional information on characteristic option values, see [Create product characteristics and characteristic options](https://www.servicenow.com/docs/access?context=som-product-config-add-characteristics&version=xanadu&pubname=xanadu-order-management&ft:locale=en-US). Data type: String |
| productOrderItem.product.productCharacteristic.value | Characteristic option values associated with the product. For additional information on characteristic option values, see [Create product characteristics and characteristic options](https://www.servicenow.com/docs/access?context=som-product-config-add-characteristics&version=xanadu&pubname=xanadu-order-management&ft:locale=en-US). Data type: String |
| productOrderItem.product.productRelationship | List of product relationship details for an order line item. Data type: Array "productRelationship": [ { "id": "String", "relationshipType": "String" } ] |
| productOrderItem.product.productRelationship.id | Sys_id or sn_prd_invt_external_id of the product inventory. Located in the sys_id or sn_prd_invt_external_id field of the Product Inventory \[sn_prd_invt_product_inventory\] table. Data type: String |
| productOrderItem.product.productRelationship.relationshipType | Type of relationship between the order line item and the product inventory. Possible value: Requires Data type: String |
| productOrderItem.product.productSpecification | Description of the product specification associated with the product. Data type: Object "productSpecification:" { "id": "String", "internalId": "String", "internalVersion": "String", "name": "String", "version": "String", "@type": "String" } |
| productOrderItem.product.productSpecification.id | Initial_version or external_id of the product specification. The initial_version is the sys_id of the first version of the specification. Located in the sys_id or external_id field of the Product Specification \[sn_prd_pm_product_specification\] table. Data type: String |
| productOrderItem.product.productSpecification.internalId | Initial_version of the product specification. The initial_version is the sys_id of the first version of the specification. Located in the Product Specification \[sn_prd_pm_product_specification\] table. Data type: String |
| productOrderItem.product.productSpecification.internalVersion | Version of the product specification. Located in the Product Specification \[sn_prd_pm_product_specification\] table. Data type: String |
| productOrderItem.product.productSpecification.name | Name of the product specification. Located in the Product Specification \[sn_prd_pm_product_specification\] table. Data type: String |
| productOrderItem.product.productSpecification.version | External_version of the product specification. Located in the Product Specification \[sn_prd_pm_product_specification\] table. Data type: String |
| productOrderItem.product.productSpecification.@type | Part of the TMF Open API standard. This value is always <kbd class="ph userinput">ProductSpecificationRef</kbd>. This information is not stored. Data type: String |
| productOrderItem.product.relatedParty | List of contacts for line items. Data type: Array "relatedParty:" { "email": "String", "firstName": "String", "id": "String", "lastName": "String", "phone": "String", "@referredType": "String", "@type": "String" } |
| productOrderItem.product.relatedParty.email | Email address of the contact. Data type: String |
| productOrderItem.product.relatedParty.firstName | First name of the contact. Data type: String |
| productOrderItem.product.relatedParty.id | Sys_id of the line item contact associated with the order line item. Located in the Order Line Item Contact \[sn_ind_tmt_orm_order_line_item_contact\] table. Data type: String |
| productOrderItem.product.relatedParty.lastName | Last name of the contact. Data type: String Data type: String |
| productOrderItem.product.relatedParty.phone | Business phone number of the contact. Data type: String |
| productOrderItem.product.relatedParty.@referredType | Type of customer. Possible value: OrderLineItemContact Data type: String |
| productOrderItem.product.relatedParty.@type | Part of TMF Open API standard. Annotation for order line item contact. This value is always <kbd class="ph userinput">RelatedParty</kbd>. This information is not stored. Data type: String |
| productOrderItem.productOffering | Description of the product offering associated with the product. Data type: Object "productOffering:" { "id": "String", "internalId": "String", "internalVersion": "String", "name": "String", "version": "String" } |
| productOrderItem.productOffering.id | Initial_version or external_id of the product offering. The initial_version is the sys_id of the first version of the offering. Located in the sys_id or external_id field of the Product Offering \[sn_prd_pm_product_offering\] table. Data type: String |
| productOrderItem.productOffering.internalId | Initial_version of the product offering. The initial_version is the sys_id of the first version of the offering. Located in the Product Offering \[sn_prd_pm_product_offering\] table. Data type: String |
| productOrderItem.productOffering.internalVersion | Version of the product offering. Located in the Product Offering \[sn_prd_pm_product_offering\] table. Data type: String |
| productOrderItem.productOffering.name | Name of the product offering. Located in the Product Offering \[sn_prd_pm_product_offering\] table. Data type: String |
| productOrderItem.productOffering.version | External_version of the product offering. Located in the Product Offering \[sn_prd_pm_product_offering\] table. Data type: String |
| productOrderItem.quantity | Number of product items purchased. Data type: Number |
| productOrderItem.productOrderItemRelationship | Array of objects that describe the relationships between order line items. Data type: Array "productOrderItemRelationship": [ { "id": "String", "relationshipType": "String" } ] |
| productOrderItem.productOrderItemRelationship.id | Unique identifier of the related line item. Located in the sn_ind_tmt_orm_external_id field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. Data type: String |
| productOrderItem.productOrderItemRelationship.relationshipType | Type of relationship between the two line items. This information is used to identify the relationship hierarchy. Possible values: * HasChild * HasParent * Requires {#tmf_prod_order-GET-ord-productOrder-id__ul_yqf_2ty_54b} `HasChild` and `HasParent` are used for parent/child relationships. `Requires` is used for horizontal relationships (a line item requires another line item). Data type: String |
| productOrderItem.state | State of the order of the associated product item. Data type: String |
| productOrderItem.version | Order version. Data type: String |
| productOrderItem.@type | Part of TMF Open API standard. Annotation for the product. This value is always <kbd class="ph userinput">ProductOrderItem</kbd>. This information is not stored. Data type: String |
| relatedParty | List of contacts for the order. Each contact is an object in the array. Must list at least one item which contains customer account or consumer account information. Data type: Array "relatedParty:" [ { "id": "String", "name": "String", "@referredType": "String", "@type": "String" } ] |
| relatedParty.id | Sys_id or external_id of the account, customer contact, or consumer associated with the order. Located in the Account \[customer_account\], Contact \[customer_contact\] table, or Consumer \[csm_consumer\] table. Data type: String |
| relatedParty.name | Name of the account, customer, or consumer. Data type: String |
| relatedParty.@referredType | Type of customer. Possible values: * Consumer * Customer * CustomerContact {#tmf_prod_order-GET-ord-productOrder-id__ul_lcq_jwm_t4b} Data type: String |
| relatedParty.@type | Part of TMF Open API standard. Annotation for the product. This value is always <kbd class="ph userinput">RelatedParty</kbd>. This information is not stored. Data type: String |
| requestedCompletionDate | Delivery date requested by the customer. Data type: String |
| requestedStartDate | Order start date requested by the customer. Data type: String |
| state | Current state of the order. Data type: String |
| version | Order version. Data type: String |
| @type | Part of TMF Open API standard. Annotation for the product. This value is always <kbd class="ph userinput">ProductOrder</kbd>. This information is not stored. Data type: String |
[ ]

### cURL request

This example retrieves a specified product order.

    curl -X GET "https://instance.service-now.com/api/sn_ind_tmt_orm/order/productOrder/8d75939453126010a795ddeeff7b126a" \
    -u "username":"password"

Response body.

    {
       "id": "8d75939453126010a795ddeeff7b126a",
       "href": "/api/sn_ind_tmt_orm/order/productOrder/8d75939453126010a795ddeeff7b126a",
       "ponr": "false",
       "orderCurrency": "USD",
       "expectedCompletionDate": "2021-05-02T08:13:59.000Z",
       "requestedCompletionDate": "2021-05-02T08:13:59.000Z",
       "requestedStartDate": "2020-05-03T08:13:59.000Z",
       "channel": [
          {
             "id": "1",
             "name": "Agent Assist"
          }
       ],
       "note": [
          {
             "author": "System Administrator",
             "date": "2021-02-25T14:22:07.000Z",
             "text": "This is a TMF product order illustration no 2"
          },
          {
             "author": "System Administrator",
             "date": "2021-02-25T14:22:06.000Z",
             "text": "This is a TMF product order illustration"
          }
       ],
       "productOrderItem": [
          {
             "id": "POI130",
             "ponr": "false",
             "quantity": 1,
             "action": "add",
             "actionReason": "adding service package OLI",
             "itemPrice": [
                {
                   "priceType": "recurring",
                   "price": {
                      "taxIncludedAmount": {
                         "unit": "USD",
                         "value": 20
                      }
                   }
                },
                {
                   "priceType": "nonRecurring",
                   "price": {
                      "taxIncludedAmount": {
                         "unit": "INR",
                         "value": 0
                      }
                   }
                }
             ],
             "product": {
                "@type": "Product",
                "productCharacteristic": [
                   {
                      "name": "Security Type",
                      "valueType": "Choice",
                      "value": "Base",
                      "previousValue": ""
                   }
                ],
                "productSpecification": {
                   "id": "a6514bd3534560102f18ddeeff7b1247",
                   "name": "SD-WAN Security",
                   "version": "v1",
                   "internalVersion": "1",
                   "internalId": "a6514bd3534560102f18ddeeff7b1247",
                   "@type": "ProductSpecificationRef"
                },
                "relatedParty": [
                   {
                      "id": "4175939453126010a795ddeeff7b127d",
                      "name": "John Smith",
                      "email": "abc2@example.com",
                      "phone": "32456768",
                      "@type": "RelatedParty",
                      "@referredType": "OrderLineItemContact"
                   },
                   {
                      "id": "c175939453126010a795ddeeff7b127c",
                      "name": "Joe Doe",
                      "email": "abc@example.com",
                      "phone": "1234567890",
                      "@type": "RelatedParty",
                      "@referredType": "OrderLineItemContact"
                   }
                ]
             },
             "productOffering": {
                "id": "69017a0f536520103b6bddeeff7b127d",
                "name": "Premium SD-WAN Offering",
                "version": "v1",
                "internalId": "69017a0f536520103b6bddeeff7b127d",
                "internalVersion": "1"
             },
             "productOrderItemRelationship": [
                {
                   "id": "POI100",
                   "relationshipType": "HasParent"
                }
             ],
             "state": "in_progress",
             "version": "1",
             "@type": "ProductOrderItem"
          },
          {
             "id": "POI100",
             "ponr": "false",
             "quantity": 1,
             "action": "add",
             "actionReason":"adding service package OLI",
             "itemPrice": [
                {
                   "priceType": "recurring",
                   "price": {
                      "taxIncludedAmount": {
                         "unit": "INR",
                         "value": 0
                      }
                   }
                },
                {
                   "priceType": "nonRecurring",
                   "price": {
                      "taxIncludedAmount": {
                         "unit": "INR",
                         "value": 0
                      }
                   }
                }
             ],
             "product": {
                "@type": "Product",
                "productSpecification": {
                   "id": "cfe5ef6a53702010cd6dddeeff7b12f6",
                   "name": "SD-WAN Service Package",
                   "version": "v1",
                   "internalVersion": "1",
                   "internalId": "cfe5ef6a53702010cd6dddeeff7b12f6",
                   "@type": "ProductSpecificationRef"
                }
             },
             "productOffering": {
                "id": "69017a0f536520103b6bddeeff7b127d",
                "name": "Premium SD-WAN Offering",
                "version": "v1",
                "internalId": "69017a0f536520103b6bddeeff7b127d",
                "internalVersion": "1"
             },
             "productOrderItemRelationship": [
                {
                   "id": "POI130",
                   "relationshipType": "HasChild"
                },
                {
                   "id": "POI120",
                   "relationshipType": "HasChild"
                },
                {
                   "id": "POI110",
                   "relationshipType": "HasChild"
                }
             ],
             "state": "in_progress",
             "version": "1",
             "@type": "ProductOrderItem"
          },
          {
             "id": "POI120",
             "ponr": "false",
             "quantity": 1,
             "action": "add",
             "actionReason": "adding service package OLI",
             "itemPrice": [
                {
                   "priceType": "recurring",
                   "price": {
                      "taxIncludedAmount": {
                         "unit": "USD",
                         "value": 20
                      }
                   }
                },
                {
                   "priceType": "nonRecurring",
                   "price": {
                      "taxIncludedAmount": {
                         "unit": "INR",
                         "value": 0
                      }
                   }
                }
             ],
             "product": {
                "@type": "Product",
                "productCharacteristic": [
                   {
                      "name": "CPE Type",
                      "valueType": "Choice",
                      "value": "Physical",
                      "previousValue": ""
                   },
                   {
                      "name": "WAN Optimization",
                      "valueType": "Choice",
                      "value": "Advance",
                      "previousValue": ""
                   },
                   {
                      "name": "Routing",
                      "valueType": "Choice",
                      "value": "Premium",
                      "previousValue": ""
                   },
                   {
                      "name": "CPE Model",
                      "valueType": "Choice",
                      "value": "ASR",
                      "previousValue": ""
                   }
                ],
                "productSpecification": {
                   "id": "39b627aa53702010cd6dddeeff7b1202",
                   "name": "SD-WAN Edge Device",
                   "version": "v1",
                   "internalVersion": "1",
                   "internalId": "39b627aa53702010cd6dddeeff7b1202",
                   "@type": "ProductSpecificationRef"
                }, 
                "productRelationship": [
                   {
                      "id": "326d13f45b5620102dff5e92dc81c785",
                      "relationshipType": "Requires"
                   }
                ]
             },
             "productOffering": {
                "id": "69017a0f536520103b6bddeeff7b127d",
                "name": "Premium SD-WAN Offering",
                "version": "v1",
                "internalVersion": "1",
                "internalId": "69017a0f536520103b6bddeeff7b127d"
             },
             "productOrderItemRelationship": [
                {
                   "id": "POI100",
                   "relationshipType": "HasParent"
                },
                {
                   "id": "POI110",
                   "relationshipType": "Requires"
                }    
             ],
             "state": "in_progress",
             "version": "1",
             "@type": "ProductOrderItem"
          },
          {
             "id": "POI110",
             "ponr": "false",
             "quantity": 1,
             "action": "add",
             "actionReason": "adding service package OLI",
             "itemPrice": [
                {
                   "priceType": "recurring",
                   "price": {
                      "taxIncludedAmount": {
                         "unit": "INR",
                         "value": 0
                      }
                   }
                },
                {
                   "priceType": "nonRecurring",
                   "price": {
                      "taxIncludedAmount": {
                         "unit": "USD",
                         "value": 5
                      }
                   }
                }
             ],
             "product": {
                "@type": "Product",
                "productCharacteristic": [
                   {
                      "name": "Tenancy",
                      "valueType": "Choice",
                      "value": "Base (10 site)",
                      "previousValue": ""
                   }
                ],
                "productSpecification": {
                   "id": "216663aa53702010cd6dddeeff7b12b5",
                   "name": "SD-WAN Controller",
                   "version": "v1",
                   "internalVersion": "1",
                   "internalId": "216663aa53702010cd6dddeeff7b12b5",
                   "@type": "ProductSpecificationRef"
                },
                "place": {
                   "id": "25ab9c4d0a0a0bb300f7dabdc0ca7c1c",
                   "@type": "Place"
                }
             },
             "productOffering": {
                "id": "69017a0f536520103b6bddeeff7b127d",
                "name": "Premium SD-WAN Offering",
                "version": "v1",
                "internalId": "69017a0f536520103b6bddeeff7b127d",
                "internalVersion": "1"
             },
             "productOrderItemRelationship": [
                {
                   "id": "POI100",
                   "relationshipType": "HasParent"
                }
             ],
             "state": "in_progress",
             "version": "1",
             "@type": "ProductOrderItem"
          }
       ],
       "relatedParty": [
            {
                "id": "eaf68911c35420105252716b7d40ddde",
                "name": "Sally Thomas",
                "@type": "RelatedParty",
                "@referredType": "CustomerContact"
            },
            {
                "id": "ffc68911c35420105252716b7d40dd55",
                "name": "Funco Intl",
                "@type": "RelatedParty",
                "@referredType": "Customer"
            },
            {
                "id": "59f16de1c3b67110ff00ed23a140dd9e",
                "name": "Funco External",
                "@type": "RelatedParty",
                "@referredType": "Consumer"
            }
        ],
       "state": "in_progress",
       "version": "1",
       "@type": "ProductOrder"
    }

## Product Order Open API - GET /sn_ind_tmt_orm/productorder {#ariaid-title4}

Retrieves all product orders.
Important:  
Starting with the Tokyo release, this endpoint is deprecated. The new version of this endpoint is [Product Order Open API - GET /sn_ind_tmt_orm/order/productOrder](https://servicenow-prod.fluidtopics.net/lU3_sIIHvtqhkTfEEUFOCw#tmf_prod_order-GET-ord-productOrder "Retrieves all product orders.").  
This endpoint retrieves order information from the following tables:

* Customer Order \[sn_ind_tmt_orm_order\]
* Order Characteristic \[sn_ind_tmt_orm_order_characteristic_value\]
* Order Line Item \[sn_ind_tmt_orm_order_line_item\]
* Order Line Item Contact \[sn_ind_tmt_orm_order_line_item_contact\]
{#tmf_prod_order-GET-productorder__ul_lxc_kxm_t4b}

### URL format {#tmf_prod_order-GET-productorder__section_mbm_2ct_t4b}

Default URL:
/api/sn_ind_tmt_orm/productorder

### Supported request parameters

{#tmf_prod_order-GET-productorder__table_ofr_vgy_fsb__entry__2}

| Name | Description |
|-|-|
| None |   |
[Table 13. Path parameters]

{#tmf_prod_order-GET-productorder__table_ofr_vgy_fsb} {#tmf_prod_order-GET-productorder__table_pfr_vgy_fsb__entry__2}

| Name | Description |
|-|-|
| fields | List of fields to return in the response. Invalid fields are ignored. Data type: String Default: All fields returned. |
| limit | Maximum number of records to return. For requests that exceed this number of records, use the offset parameter to paginate record retrieval. Default: 20 Maximum: 100 Data type: Number |
| offset | Starting index at which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. Default: 0 Data type: Number |
| state | Filter orders by state. Only orders with a state matching the value of this parameter are returned in the response. Data type: String Default: All states returned. |
[Table 14. Query parameters]

{#tmf_prod_order-GET-productorder__table_pfr_vgy_fsb} {#tmf_prod_order-GET-productorder__table_xcm_cvr_nsb__entry__2}

| Name | Description |
|-|-|
| None |   |
[Table 15. Request body parameters (JSON)]

{#tmf_prod_order-GET-productorder__table_xcm_cvr_nsb}

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#tmf_prod_order-GET-productorder__table_kqy_wgy_fsb__entry__2}

| Header | Description |
|-|-|
| None |   |
[Table 16. Request headers]

{#tmf_prod_order-GET-productorder__table_kqy_wgy_fsb} {#tmf_prod_order-GET-productorder__table_h4r_fxr_nsb__entry__2}{#tmf_prod_order-GET-productorder__content-range-row}{#tmf_prod_order-GET-productorder__content-type-row}{#tmf_prod_order-GET-productorder__links-pagination-row}{#tmf_prod_order-GET-productorder__x-total-count-descr}

| Header | Description |
|-|-|
| Content-Range | Specifies the range of content returned in a paginated call. For example, if `offset=2` and `limit=3`, the value of the Content-Range header is `items 3-5`. |
| Content-Type | Data format of the response body. Only supports application/json. |
| Link | Contains the following links to navigate through query results. * first * last * next * previous {#tmf_prod_order-GET-productorder__ul_zzk_sdm_lsb} |
| X-Total-Count | For paginated queries, this header specifies the total number of records available on the server. |
[Table 17. Response headers]

{#tmf_prod_order-GET-productorder__table_h4r_fxr_nsb}

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#tmf_prod_order-GET-productorder__table_wdl_3xr_nsb__entry__2}{#tmf_prod_order-GET-productorder__tmf-get-status-200-p}{#tmf_prod_order-GET-productorder__tmf-get-status-206-entry}{#tmf_prod_order-GET-productorder__tmf-get-status-400-entry}{#tmf_prod_order-GET-productorder__tmf-get-status-404-entry}

| Status code | Description |
|-|-|
| 200 | Request successfully processed. Full resource returned in response (no pagination). |
| 206 | Partial resource returned in response (with pagination). |
| 400 | Bad request. Possible reasons: * Invalid path parameter * Invalid URI {#tmf_prod_order-GET-productorder__ul_rys_1gy_fsb} |
| 404 | Record not found. No records matching the query parameters are found in the table. |
[Table 18. Status codes]

{#tmf_prod_order-GET-productorder__table_wdl_3xr_nsb}

### Response body parameters (JSON) {#tmf_prod_order-GET-productorder__section_hnf_kxr_nsb}

{#tmf_prod_order-GET-productorder__table_inf_kxr_nsb__entry__2}

| Name | Description |
|-|-|
| channel | Array of objects that describe the channels to use for selling the products. Data type: Array "channel": [ { "id": "String", "name": "String" } ] |
| channel.id | Unique identifier of the channel to use to sell the associated products. Channel ID values are located in the external_id field of the Distribution Channel \[sn_prd_pm_distribution_channel\] table. Data type: String |
| channel.name | Name of the channel to use to sell the associated products. Data type: String |
| expectedCompletionDate | Date on which the order will be completed. Data type: String |
| note | Array of objects that describe additional notes made by the customer when ordering. Data type: Array "note": { "author": "String", "date": "String", "text": "String" } |
| note.author | User name of the person that authored the associated note. Data type: String |
| note.date | Date that the note was created. Data type: String |
| note.text | Additional notes/comments made by the customer while ordering. Data type: String |
| ponr | Flag that indicates whether the point of no return for the order has been reached. Valid values: * true: The point of no return for the order has been reached. * false: The point of no return for the order has not been reached. {#tmf_prod_order-GET-productorder__ul_tdq_rw1_hqb} Data type: Boolean |
| productOrderItem | List that describes items associated with the product order and their associated action. Data type: Array "productOrderItem:" [ { "action": "String", "actionReason": "String", "id": "String", "itemPrice": [Array], "product": {Object}, "productOffering": {Object}, "productOrderItemReleationship": [Array], "quantity": Number, "state": "String", "@type": "String" } ] |
| productOrderItem.action | Action to carry out on the product. Possible actions are defined on the Choice List tab in the Action Dictionary Entry of the sn_ind_tmt_orm_order_line_item table. Data type: String |
| productOrderItem.actionReason | The reason for adding the order line item. Data type: String Table/field updated: sn_ind_tmt_orm_order_line_item/action_reason |
| productOrderItem.id | Unique identifier of the line item. Located in the sn_ind_tmt_orm_external_id field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. Data type: String |
| productOrderItem.itemPrice | Array of objects that describe the price associated with the product. Data type: Array "itemPrice": [ { "price": {Object}, "priceType": "String", "recurringChargePeriod": "String" } ] |
| productOrderItem.itemPrice.price | Description of the price of the associated product. Data type: Object "price": { "taxIncludedAmount": {Object} } |
| productOrderItem.itemPrice.price.taxIncludedAmount | Description of the price of the associated product, including the tax. Data type: Object "taxIncludedAmount": { "unit": "String", "value": Number } |
| productOrderItem.itemPrice.price.taxIncludedAmount.unit | Currency code in which the price is depicted. Data type: String |
| productOrderItem.itemPrice.price.taxIncludedAmount.value | Price of product, including any tax. Data type: Number |
| productOrderItem.itemPrice.priceType | Type of item price, recurring or non-recurring. Data type: String |
| productOrderItem.itemPrice.recurringChargePeriod | If the price is recurring, the recurring period, such as month. Data type: String |
| productOrderItem.ponr | Flag that indicates whether the point of no return for the order has been reached. Valid values: * true: The point of no return for the order has been reached. * false: The point of no return for the order has not been reached. {#tmf_prod_order-GET-productorder__d3046e2596} Data type: Boolean |
| productOrderItem.product | Description of the instance details of the product purchased by the customer. Data type: Object "product:" { "place": {Object}, "productCharacteristic": [Array], "productSpecification": {Object}, "relatedParty": {Object}, "@type": "String" } |
| productOrderItem.product.place | Maps of the locations on which to install the product. Data type: Object "place": { "id": "String", "@type": "String" } |
| productOrderItem.product.place.id | Sys_id of the associated location record in the Location \[cmn_location\] table. Data type: String |
| productOrderItem.product.place.@type | Part of TMF Open API standard. Annotation for order line item contact. This value is always <kbd class="ph userinput">Place</kbd>. This information is not stored. Data type: String |
| productOrderItem.product.productCharacteristic | Array of objects that describe the characteristics of the associated product. Only product characteristics whose value are different than the previousValue are returned. Data type: Array "productCharacteristic": [ { "name": "String", "previousValue": "String", "value": "String" } ] |
| productOrderItem.product.productCharacteristic.name | Name of the characteristic record to associate with the product. Located in the Characteristic \[sn_prd_pm_characteristic\] table. Data type: String |
| productOrderItem.product.productCharacteristic.previousValue | Previous characteristic option values if the update is for a change order. The request is a change order if the productOrderItem.action parameter is other than <kbd class="ph userinput">add</kbd>. For additional information on characteristic option values, see [Create product characteristics and characteristic options](https://www.servicenow.com/docs/access?context=som-product-config-add-characteristics&version=xanadu&pubname=xanadu-order-management&ft:locale=en-US). Data type: String |
| productOrderItem.product.productCharacteristic.value | Characteristic option values associated with the product. For additional information on characteristic option values, see [Create product characteristics and characteristic options](https://www.servicenow.com/docs/access?context=som-product-config-add-characteristics&version=xanadu&pubname=xanadu-order-management&ft:locale=en-US). Data type: String |
| productOrderItem.product.productSpecification | Description of the product specification associated with the product. Data type: Object "productSpecification:" { "id": "String", "name": "String", "@type": "String" } |
| productOrderItem.product.productSpecification.id | Initial_version or external_id of the product specification. The initial_version is the sys_id of the first version of the specification. Located in the sys_id or external_id field of the Product Specification \[sn_prd_pm_product_specification\] table. Data type: String |
| productOrderItem.product.productSpecification.name | Name of the product specification. Located in the Product Specification \[sn_prd_pm_product_specification\] table. Data type: String |
| productOrderItem.product.productSpecification.@type | Part of the TMF Open API standard. This value is always <kbd class="ph userinput">ProductSpecificationRef</kbd>. This information is not stored. Data type: String |
| productOrderItem.product.relatedParty | List of contacts for line items. Data type: Array "relatedParty:" { "email": "String", "firstName": "String", "id": "String", "lastName": "String", "phone": "String", "@referredType": "String", "@type": "String" } |
| productOrderItem.product.relatedParty.email | Email address of the contact. Data type: String |
| productOrderItem.product.relatedParty.firstName | First name of the contact. Data type: String |
| productOrderItem.product.relatedParty.id | Sys_id of the line item contact associated with the order line item. Located in the Order Line Item Contact \[sn_ind_tmt_orm_order_line_item_contact\] table. Data type: String |
| productOrderItem.product.relatedParty.lastName | Last name of the contact. Data type: String Data type: String |
| productOrderItem.product.relatedParty.phone | Business phone number of the contact. Data type: String |
| productOrderItem.product.relatedParty.@referredType | Type of customer. Possible value: OrderLineItemContact Data type: String |
| productOrderItem.product.relatedParty.@type | Part of TMF Open API standard. Annotation for order line item contact. This value is always <kbd class="ph userinput">RelatedParty</kbd>. This information is not stored. Data type: String |
| productOrderItem.productOffering | Description of the product offering associated with the product. Data type: Object "productOffering": { "id": "String", "internalVersion": "String", "name": "String", "version": "String" } |
| productOrderItem.productOffering.id | Initial_version or external_id of the product offering. The initial_version is the sys_id of the first version of the offering. Located in the sys_id or external_id field of the Product Offering \[sn_prd_pm_product_offering\] table. Data type: String |
| productOrderItem.productOffering.name | Name of the product offering. Located in the Product Offering \[sn_prd_pm_product_offering\] table. Data type: String |
| productOrderItem.quantity | Number of product items purchased. Data type: Number |
| productOrderItem.productOrderItemRelationship | Array of objects that describe the relationships between order line items. Data type: Array "productOrderItemRelationship": [ { "id": "String", "relationshipType": "String" } ] |
| productOrderItem.productOrderItemRelationship.id | Unique identifier of the related line item. Located in the sn_ind_tmt_orm_external_id field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. Data type: String |
| productOrderItem.productOrderItemRelationship.relationshipType | Type of relationship between the two line items. This information is used to identify the relationship hierarchy. Possible values: * HasChild * HasParent * Requires {#tmf_prod_order-GET-productorder__ul_yqf_2ty_54b} `HasChild` and `HasParent` are used for parent/child relationships. `Requires` is used for horizontal relationships (a line item requires another line item). Data type: String |
| productOrderItem.state | State of the order of the associated product item. Data type: String |
| productOrderItem.version | Order version. Data type: String |
| productOrderItem.@type | Part of TMF Open API standard. Annotation for the product. This value is always <kbd class="ph userinput">ProductOrderItem</kbd>. This information is not stored. Data type: String |
| relatedParty | List of contacts for the order. Each contact is an object in the array. Must list at least one item which contains customer account or consumer account information. Data type: Array "relatedParty:" [ { "id": "String", "name": "String", "@referredType": "String", "@type": "String" } ] |
| relatedParty.id | Sys_id or external_id of the account, customer contact, or consumer associated with the order. Located in the Account \[customer_account\], Contact \[customer_contact\] table, or Consumer \[csm_consumer\] table. Data type: String |
| relatedParty.name | Name of the account, customer, or consumer. Data type: String |
| relatedParty.@referredType | Type of customer. Possible values: * Consumer * Customer * CustomerContact {#tmf_prod_order-GET-productorder__ul_lcq_jwm_t4b} Data type: String |
| relatedParty.@type | Part of TMF Open API standard. Annotation for the product. This value is always <kbd class="ph userinput">RelatedParty</kbd>. This information is not stored. Data type: String |
| requestedCompletionDate | Delivery date requested by the customer. Data type: String |
| requestedStartDate | Order start date requested by the customer. Data type: String |
| state | Current state of the order. Data type: String |
| version | Order version. Data type: String |
| @type | Part of TMF Open API standard. Annotation for the product. This value is always <kbd class="ph userinput">ProductOrder</kbd>. This information is not stored. Data type: String |
[ ]

{#tmf_prod_order-GET-productorder__table_inf_kxr_nsb}  

### cURL request

This example retrieves all product orders.

    curl --location --request GET 'https://instance.servicenow.com/api/sn_ind_tmt_orm/productorder' \
    --user 'username':'password'

Response body.

    [
       {
          "id": "8d75939453126010a795ddeeff7b126a",
          "ponr": "false",
          "expectedCompletionDate": "2021-05-02T08:13:59.000Z",
          "requestedCompletionDate": "2021-05-02T08:13:59.000Z",
          "requestedStartDate": "2020-05-03T08:13:59.000Z",
          "channel": [
             {
                "id": "1",
                "name": "Agent Assist"
             }
          ],
          "note": [
             {
                "author": "System Administrator",
                "date": "2021-02-25T14:22:07.000Z",
                "text": "This is a TMF product order illustration no 2"
             },
             {
                "author": "System Administrator",
                "date": "2021-02-25T14:22:06.000Z",
                "text": "This is a TMF product order illustration"
             }
          ],
          "productOrderItem": [
             {
                "id": "POI130",
                "ponr": "false",
                "quantity": 1,
                "action": "add",
                "actionReason": "adding service package OLI",
                "itemPrice": [
                   {
                      "priceType": "recurring",
                      "price": {
                         "taxIncludedAmount": {
                            "unit": "USD",
                            "value": 20
                         }
                      }
                   },
                   {
                      "priceType": "nonRecurring",
                      "price": {
                         "taxIncludedAmount": {
                            "unit": "INR",
                            "value": 0
                         }
                      }
                   }
                ],
                "product": {
                   "@type": "Product",
                   "productCharacteristic": [
                      {
                         "name": "Security Type",
                         "valueType": "Choice",
                         "value": "Base",
                         "previousValue": ""
                      }
                   ],
                   "productSpecification": {
                      "id": "a6514bd3534560102f18ddeeff7b1247",
                      "name": "SD-WAN Security",
                      "@type": "ProductSpecificationRef"
                   },
                   "relatedParty": [
                      {
                         "id": "4175939453126010a795ddeeff7b127d",
                         "name": "John Smith",
                         "email": "abc2@example.com",
                         "phone": "32456768",
                         "@type": "RelatedParty",
                         "@referredType": "OrderLineItemContact"
                      },
                      {
                         "id": "c175939453126010a795ddeeff7b127c",
                         "name": "Joe Doe",
                         "email": "abc@example.com",
                         "phone": "1234567890",
                         "@type": "RelatedParty",
                         "@referredType": "OrderLineItemContact"
                      }
                   ]
                },
                "productOffering": {
                   "id": "69017a0f536520103b6bddeeff7b127d",
                   "name": "Premium SD-WAN Offering"
                },
                "productOrderItemRelationship": [
                   {
                      "id": "POI100",
                      "relationshipType": "HasParent"
                   }
                ],
                "state": "in_progress",
                "version": "1",
                "@type": "ProductOrderItem"
             },
             {
                "id": "POI100",
                "ponr": "false",
                "quantity": 1,
                "action": "add",
                "itemPrice": [
                   {
                      "priceType": "recurring",
                      "price": {
                         "taxIncludedAmount": {
                            "unit": "INR",
                            "value": 0
                         }
                      }
                   },
                   {
                      "priceType": "nonRecurring",
                      "price": {
                         "taxIncludedAmount": {
                            "unit": "INR",
                            "value": 0
                         }
                      }
                   }
                ],
                "product": {
                   "@type": "Product",
                   "productSpecification": {
                      "id": "cfe5ef6a53702010cd6dddeeff7b12f6",
                      "name": "SD-WAN Service Package",
                      "@type": "ProductSpecificationRef"
                   }
                },
                "productOffering": {
                   "id": "69017a0f536520103b6bddeeff7b127d",
                   "name": "Premium SD-WAN Offering"
                },
                "productOrderItemRelationship": [
                   {
                      "id": "POI130",
                      "relationshipType": "HasChild"
                   },
                   {
                      "id": "POI120",
                      "relationshipType": "HasChild"
                   },
                   {
                      "id": "POI110",
                      "relationshipType": "HasChild"
                   }
                ],
                "state": "in_progress",
                "version": "1",
                "@type": "ProductOrderItem"
             },
             {
                "id": "POI120",
                "ponr": "false",
                "quantity": 1,
                "action": "add",
                "actionReason":"adding service package OLI",
                "itemPrice": [
                   {
                      "priceType": "recurring",
                      "price": {
                         "taxIncludedAmount": {
                            "unit": "USD",
                            "value": 20
                         }
                      }
                   },
                   {
                      "priceType": "nonRecurring",
                      "price": {
                         "taxIncludedAmount": {
                            "unit": "INR",
                            "value": 0
                         }
                      }
                   }
                ],
                "product": {
                   "@type": "Product",
                   "productCharacteristic": [
                      {
                         "name": "CPE Type",
                         "valueType": "Choice",
                         "value": "Physical",
                         "previousValue": ""
                      },
                      {
                         "name": "WAN Optimization",
                         "valueType": "Choice",
                         "value": "Advance",
                         "previousValue": ""
                      },
                      {
                         "name": "Routing",
                         "valueType": "Choice",
                         "value": "Premium",
                         "previousValue": ""
                      },
                      {
                         "name": "CPE Model",
                         "valueType": "Choice",
                         "value": "ASR",
                         "previousValue": ""
                      }
                   ],
                   "productSpecification": {
                      "id": "39b627aa53702010cd6dddeeff7b1202",
                      "name": "SD-WAN Edge Device",
                      "@type": "ProductSpecificationRef"
                   }
                },
                "productOffering": {
                   "id": "69017a0f536520103b6bddeeff7b127d",
                   "name": "Premium SD-WAN Offering"
                },
                "productOrderItemRelationship": [
                   {
                      "id": "POI100",
                      "relationshipType": "HasParent"
                   }
                ],
                "state": "in_progress",
                "version": "1",
                "@type": "ProductOrderItem"
             },
             {
                "id": "POI110",
                "ponr": "false",
                "quantity": 1,
                "action": "add",
                "actionReason": "adding service package OLI",
                "itemPrice": [
                   {
                      "priceType": "recurring",
                      "price": {
                         "taxIncludedAmount": {
                            "unit": "INR",
                            "value": 0
                         }
                      }
                   },
                   {
                      "priceType": "nonRecurring",
                      "price": {
                         "taxIncludedAmount": {
                            "unit": "USD",
                            "value": 5
                         }
                      }
                   }
                ],
                "product": {
                   "@type": "Product",
                   "productCharacteristic": [
                      {
                         "name": "Tenancy",
                         "valueType": "Choice",
                         "value": "Base (10 site)",
                         "previousValue": ""
                      }
                   ],
                   "productSpecification": {
                      "id": "216663aa53702010cd6dddeeff7b12b5",
                      "name": "SD-WAN Controller",
                      "@type": "ProductSpecificationRef"
                   },
                   "place": {
                      "id": "25ab9c4d0a0a0bb300f7dabdc0ca7c1c",
                      "@type": "Place"
                   }
                },
                "productOffering": {
                   "id": "69017a0f536520103b6bddeeff7b127d",
                   "name": "Premium SD-WAN Offering"
                },
                "productOrderItemRelationship": [
                   {
                      "id": "POI100",
                      "relationshipType": "HasParent"
                   }
                ],
                "state": "in_progress",
                "version": "1",
                "@type": "ProductOrderItem"
             }
          ],
          "relatedParty": [
            {
                "id": "eaf68911c35420105252716b7d40ddde",
                "name": "Sally Thomas",
                "@type": "RelatedParty",
                "@referredType": "CustomerContact"
            },
            {
                "id": "ffc68911c35420105252716b7d40dd55",
                "name": "Funco Intl",
                "@type": "RelatedParty",
                "@referredType": "Customer"
            },
            {
                "id": "59f16de1c3b67110ff00ed23a140dd9e",
                "name": "Funco External",
                "@type": "RelatedParty",
                "@referredType": "Consumer"
            }
        ],
          "state": "in_progress",
          "version": "1",
          "@type": "ProductOrder"
       }
    ]

## Product Order Open API - GET /sn_ind_tmt_orm/productorder/{id} {#ariaid-title5}

Retrieves the specified product order.
Important:  
Starting with the Tokyo release, this endpoint is deprecated. The new version of this endpoint is [Product Order Open API - GET /sn_ind_tmt_orm/order/productOrder/{id}](https://servicenow-prod.fluidtopics.net/lU3_sIIHvtqhkTfEEUFOCw#tmf_prod_order-GET-ord-productOrder-id "Retrieves the specified product order.").  
This endpoint retrieves order information from the following tables:

* Customer Order \[sn_ind_tmt_orm_order\]
* Order Characteristic \[sn_ind_tmt_orm_order_characteristic_value\]
* Order Line Item \[sn_ind_tmt_orm_order_line_item\]
* Order Line Item Contact \[sn_ind_tmt_orm_order_line_item_contact\]
{#tmf_prod_order-GET-productOrder-id__ul_lxc_kxm_t4b}

### URL format {#tmf_prod_order-GET-productOrder-id__section_mbm_2ct_t4b}

Default URL:
/api/sn_ind_tmt_orm/productorder/{id}

### Supported request parameters

{#tmf_prod_order-GET-productOrder-id__entry__2}

| Name | Description |
|-|-|
| id | Sys_id or external_id of the customer order to retrieve. Located in the Customer Order \[sn_ind_tmt_orm_order\] table. Data type: String |
[Table 19. Path parameters]

{#tmf_prod_order-GET-productOrder-id__entry__6}

| Name | Description |
|-|-|
| None |   |
[Table 20. Query parameters]

{#tmf_prod_order-GET-productOrder-id__entry__10}

| Name | Description |
|-|-|
| None |   |
[Table 21. Request body parameters (JSON)]

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#tmf_prod_order-GET-productOrder-id__table_kqy_wgy_fsb__entry__2}

| Header | Description |
|-|-|
| None |   |
[Table 22. Request headers]

{#tmf_prod_order-GET-productOrder-id__table_kqy_wgy_fsb} {#tmf_prod_order-GET-productOrder-id__table_tzy_thy_ksb__entry__2}

| Header | Description |
|-|-|
| Content-Type | Data format of the response body. Only supports application/json. |
[Table 23. Response headers]

{#tmf_prod_order-GET-productOrder-id__table_tzy_thy_ksb}

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#tmf_prod_order-GET-productOrder-id__entry__22}{#tmf_prod_order-GET-productOrder-id__entry-404-status-code}

| Status code | Description |
|-|-|
| 201 | Successful. The request was successfully processed. |
| 400 | Bad Request. Can be for any of the following reasons: * Missing query parameter * Invalid URI |
| 404 | Not found. The requested item wasn't found. |
[Table 24. Status codes]

### Response body parameters (JSON)

{#tmf_prod_order-GET-productOrder-id__entry__30}

| Name | Description |
|-|-|
| channel | Array of objects that describe the channels to use for selling the products. Data type: Array "channel": [ { "id": "String", "name": "String" } ] |
| channel.id | Unique identifier of the channel to use to sell the associated products. Channel ID values are located in the external_id field of the Distribution Channel \[sn_prd_pm_distribution_channel\] table. Data type: String |
| channel.name | Name of the channel to use to sell the associated products. Data type: String |
| expectedCompletionDate | Date on which the order will be completed. Data type: String |
| note | Array of objects that describe additional notes made by the customer when ordering. Data type: Array "note": { "author": "String", "date": "String", "text": "String" } |
| note.author | User name of the person that authored the associated note. Data type: String |
| note.date | Date that the note was created. Data type: String |
| note.text | Additional notes/comments made by the customer while ordering. Data type: String |
| ponr | Flag that indicates whether the point of no return for the order has been reached. Valid values: * true: The point of no return for the order has been reached. * false: The point of no return for the order has not been reached. {#tmf_prod_order-GET-productOrder-id__ul_tdq_rw1_hqb} Data type: Boolean |
[...]
